/*******************************************************************/
/*

Demo-Software for smart cameras from Vision Components
------------------------------------------------------

Program: Peter Neuhaus  VC


Program Description:
--------------------


*/
/*******************************************************************/

#include <vcrt.h>
#include <vclib.h>
#include <macros.h>
#include <sysvar.h>
#include <flib.h> 

/*******************************************************************/

void main(void)
{

  int key = 0;
  image src;  
  
    /*******************************************************************************/
    /*                 PLEASE INITIALIZE YOUR LICENCE CODES                        */
    /*                    To activate library functions                            */
    /*                                                                             */
    /* VCLIB :         init_licence("T1122334455") or init_licence("LT1122334455") */
    /* Extension Lib : init_licence("E1122334455") or init_licence("LE1122334455") */
    /* Color Lib :     init_licence("C1122334455") or init_licence("LC1122334455") */
    /* etc.                                                                        */
    /*                                                                             */
    /*      init_licence() returns 0 if licence code is OK, -5 otherwise           */
    /*                                                                             */
    /* Example :                                                                   */
    /*                                                                             */
	/**/ 	print("Init VCLIB = %d\n", init_licence("T1122334455"));			 /**/
    /*******************************************************************************/
 
   /* Assigning image variable for processing Sobel filter */
  ImageAssign(&src, ScrByteAddr(100,100), DispGetColumns/2, DispGetRows/2, DispGetPitch); 
  //Declaring an image variable starting at (100;100), width = image width/2, height = image height /2
    
  print("press any key to start, press 'q' to stop progam\n");
   
      do
        {
         tpict();
        
         if(kbhit()) key = rs232rcv();
       
        /* Sobel Filter*/ 
         sobel(&src, &src);
      	
        }
	   while(key != 'q');

}

/*******************************************************************/

